Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory
Class AbstractContentDirectoryService

    java.lang.Object
      org.teleal.cling.support.contentdirectory.AbstractContentDirectoryService

    public abstract class AbstractContentDirectoryService

extends Object

Simple ContentDirectory service skeleton.

Only state variables and actions required by ContentDirectory:1 (not the optional ones) are implemented.

Author:
  Alessio Gaeta, Christian Bauer

Field Summary
`static String` | `CAPS_WILDCARD`
`protected PropertyChangeSupport` | `propertyChangeSupport`

Constructor Summary
`protected` | `AbstractContentDirectoryService()`
`protected` | `AbstractContentDirectoryService(List<String> searchCapabilities, List<String> sortCapabilities)`
`protected` | `AbstractContentDirectoryService(List<String> searchCapabilities, List<String> sortCapabilities, PropertyChangeSupport propertyChangeSupport)`

Method Summary
`abstract BrowseResult` | `browse(String objectID, BrowseFlag browseFlag, String filter, long firstResult, long maxResults, SortCriterion[] orderby)` Implement this method to implement browsing of your content.
`BrowseResult` | `browse(String objectId, String browseFlag, String filter, org.teleal.cling.model.types.UnsignedIntegerFourBytes firstResult, org.teleal.cling.model.types.UnsignedIntegerFourBytes maxResults, String orderBy)`
`protected void` | `changeSystemUpdateID()` Call this method after making changes to your content directory.
`PropertyChangeSupport` | `getPropertyChangeSupport()`
`org.teleal.cling.model.types.csv.CSV<String>` | `getSearchCapabilities()`
`org.teleal.cling.model.types.csv.CSV<String>` | `getSortCapabilities()`
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getSystemUpdateID()`
`BrowseResult` | `search(String containerId, String searchCriteria, String filter, long firstResult, long maxResults, SortCriterion[] orderBy)` Override this method to implement searching of your content.
`BrowseResult` | `search(String containerId, String searchCriteria, String filter, org.teleal.cling.model.types.UnsignedIntegerFourBytes firstResult, org.teleal.cling.model.types.UnsignedIntegerFourBytes maxResults, String orderBy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CAPS_WILDCARD

    public static final String CAPS_WILDCARD

See Also:
  Constant Field Values

### propertyChangeSupport

    protected final PropertyChangeSupport propertyChangeSupport

Constructor Detail

### AbstractContentDirectoryService

    protected AbstractContentDirectoryService()

### AbstractContentDirectoryService

    protected AbstractContentDirectoryService(List<String> searchCapabilities,
                                              List<String> sortCapabilities)

### AbstractContentDirectoryService

    protected AbstractContentDirectoryService(List<String> searchCapabilities,
                                              List<String> sortCapabilities,
                                              PropertyChangeSupport propertyChangeSupport)

Method Detail

### getSearchCapabilities

    public org.teleal.cling.model.types.csv.CSV<String> getSearchCapabilities()

### getSortCapabilities

    public org.teleal.cling.model.types.csv.CSV<String> getSortCapabilities()

### getSystemUpdateID

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getSystemUpdateID()

### getPropertyChangeSupport

    public PropertyChangeSupport getPropertyChangeSupport()

### changeSystemUpdateID

    protected void changeSystemUpdateID()

  Call this method after making changes to your content directory.

  This will notify clients that their view of the content directory is potentially outdated and has to be refreshed.

### browse

    public BrowseResult browse(String objectId,
                               String browseFlag,
                               String filter,
                               org.teleal.cling.model.types.UnsignedIntegerFourBytes firstResult,
                               org.teleal.cling.model.types.UnsignedIntegerFourBytes maxResults,
                               String orderBy)
                        throws ContentDirectoryException

  Throws:
    `ContentDirectoryException`

### browse

    public abstract BrowseResult browse(String objectID,
                                        BrowseFlag browseFlag,
                                        String filter,
                                        long firstResult,
                                        long maxResults,
                                        SortCriterion[] orderby)
                                 throws ContentDirectoryException

  Implement this method to implement browsing of your content.

  This is a required action defined by ContentDirectory:1.

  You should wrap any exception into a `ContentDirectoryException`, so a propery error message can be returned to control points.

  Throws:
    `ContentDirectoryException`

### search

    public BrowseResult search(String containerId,
                               String searchCriteria,
                               String filter,
                               org.teleal.cling.model.types.UnsignedIntegerFourBytes firstResult,
                               org.teleal.cling.model.types.UnsignedIntegerFourBytes maxResults,
                               String orderBy)
                        throws ContentDirectoryException

  Throws:
    `ContentDirectoryException`

### search

    public BrowseResult search(String containerId,
                               String searchCriteria,
                               String filter,
                               long firstResult,
                               long maxResults,
                               SortCriterion[] orderBy)
                        throws ContentDirectoryException

  Override this method to implement searching of your content.

  The default implementation returns an empty result.

  Throws:
    `ContentDirectoryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.